### Method

# Ggit CheckoutOptions set_paths

#### Declaration [src]

    void
    ggit_checkout_options_set_paths (
      GgitCheckoutOptions* options,
      const gchar* const* paths
    )

#### Description [src]

Set the list of file paths to checkout. If `paths` is `NULL`, then all files will be checked out.

#### Parameters

`paths`

  Type: An array of `gchar*`

  A `NULL` terminated list of paths.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.